"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
const Button_1 = __importDefault(require("@mui/material/Button"));
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const buttonTypes_1 = require("./types/buttonTypes");
const colors_1 = require("../../constants/colors");
const defaultLayouts_1 = require("../../constants/defaultLayouts");
const Icon_1 = require("../Icon");
const Button = ({ className, name, id, type = buttonTypes_1.ButtonTypes.BUTTON, variant = buttonTypes_1.ButtonVariantTypes.TEXT, text = "", icon, iconSize = defaultLayouts_1.DEFAULT_BUTTON_ICON_SIZE, withBeforeIcon = false, withEndIcon = false, padding, margin, outline, border, width, height, maxWidth = colors_1.AUTO, maxHeight = colors_1.AUTO, backgroundColor, textColor, hoverBackgroundColor, hoverTextColor, disabledBackgroundColor, disabledTextColor, borderRadius, cursor = defaultLayouts_1.DEFAULT_CURSOR, disabled = false, onClick, onFocus, onBlur, }) => {
    const classes = (0, styles_1.useStyle)({
        padding,
        margin,
        outline,
        border,
        width,
        maxWidth,
        maxHeight,
        height,
        backgroundColor,
        textColor,
        borderRadius,
        cursor,
        hoverBackgroundColor,
        hoverTextColor,
        disabledBackgroundColor,
        disabledTextColor,
    });
    return (react_1.default.createElement(Button_1.default, { type: type, variant: variant, className: (0, classnames_1.default)(classes.root, className), id: id, name: name, disabled: disabled, onClick: onClick, onFocus: onFocus, onBlur: onBlur, startIcon: withBeforeIcon &&
            (typeof icon === "string" ? (react_1.default.createElement(Icon_1.Icon, { src: icon, width: iconSize, height: iconSize })) : (icon)), endIcon: withEndIcon &&
            (typeof icon === "string" ? (react_1.default.createElement(Icon_1.Icon, { src: icon, width: iconSize, height: iconSize })) : (icon)) },
        react_1.default.createElement("span", null, text)));
};
exports.Button = Button;
//# sourceMappingURL=Button.js.map