"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Card = void 0;
const material_1 = require("@mui/material");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const colors_1 = require("../../constants/colors");
const defaultLayouts_1 = require("../../constants/defaultLayouts");
const Card = ({ className, id, children = null, padding = defaultLayouts_1.DEFAULT_PADDING, margin = defaultLayouts_1.DEFAULT_MARGIN, outline = colors_1.NONE, border = colors_1.NONE, hoverBorder = colors_1.NONE, width = colors_1.AUTO, maxWidth = defaultLayouts_1.DEFAULT_WIDTH, height = defaultLayouts_1.DEFAULT_HEIGHT, maxHeight = colors_1.AUTO, backgroundColor = colors_1.DEFAULT_PRIMARY, textColor = colors_1.DEFAULT_SECONDARY, hoverBackground = colors_1.DEFAULT_PRIMARY_HOVER, hoverTextColor = colors_1.DEFAULT_SECONDARY_HOVER, borderRadius = colors_1.UNSET, cursor = defaultLayouts_1.DEFAULT_CURSOR, onClick, onFocus, onBlur, headerTitle, headerButton = null, headerContent = null, footerTitle, footerContent, footerButton = null, boxShadow = colors_1.DEFAULT_CARD_BOX_SHADOW, }) => {
    const classes = (0, styles_1.useStyles)({
        padding,
        margin,
        outline,
        boxShadow,
        border,
        hoverBorder,
        maxWidth,
        width,
        height,
        maxHeight,
        backgroundColor,
        textColor,
        hoverBackground,
        hoverTextColor,
        borderRadius,
        cursor,
    });
    const renderHeader = () => (react_1.default.createElement(material_1.CardHeader, { title: headerTitle, action: headerButton, subheader: headerContent }));
    const renderFooter = () => {
        if (footerContent) {
            return (react_1.default.createElement("div", { className: (0, classnames_1.default)("card-footer", classes.footerContainer, "with-content") }, footerContent));
        }
        if (footerTitle && footerButton) {
            return (react_1.default.createElement("div", { className: (0, classnames_1.default)("card-footer", classes.footerContainer, "with-title", "with-button") },
                react_1.default.createElement("span", { className: classes.titleWrapper }, footerTitle),
                footerButton));
        }
        if (footerTitle) {
            return (react_1.default.createElement("div", { className: (0, classnames_1.default)("card-footer", classes.fiiterContainer, "with-title") },
                react_1.default.createElement("span", { className: classes.titleWrapper }, footerTitle)));
        }
        if (footerButton) {
            return (react_1.default.createElement("div", { className: (0, classnames_1.default)("card-footer", classes.footerContainer, "with-button") }, footerButton));
        }
        return null;
    };
    return (react_1.default.createElement(material_1.Card, { className: (0, classnames_1.default)(classes.root, className), id: id, onClick: onClick, onFocus: onFocus, onBlur: onBlur },
        renderHeader(),
        react_1.default.createElement(material_1.CardContent, { className: classes.content }, children),
        (footerButton || footerContent || footerTitle) && (react_1.default.createElement(material_1.CardActions, null, renderFooter()))));
};
exports.Card = Card;
//# sourceMappingURL=Card.js.map