"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatePicker = void 0;
const x_date_pickers_1 = require("@mui/x-date-pickers");
const AdapterDayjs_1 = require("@mui/x-date-pickers/AdapterDayjs");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const types_1 = require("./types");
const colors_1 = require("../../constants/colors");
const DatePicker = ({ className, value = null, type = types_1.DatePickerTypes.DATE_PICKER, width, height, maxWidth = colors_1.AUTO, maxHeight = colors_1.AUTO, padding, margin, backgroundColor, format, labelText, disabled = false, disablePast = false, onChange, }) => {
    const classes = (0, styles_1.useStyle)({
        width,
        height,
        maxHeight,
        maxWidth,
        padding,
        margin,
        backgroundColor,
    });
    switch (type) {
        case types_1.DatePickerTypes.DATE_PICKER:
            return (react_1.default.createElement(x_date_pickers_1.LocalizationProvider, { dateAdapter: AdapterDayjs_1.AdapterDayjs },
                react_1.default.createElement(x_date_pickers_1.DatePicker, { className: (0, classnames_1.default)(classes.root, className), value: value, format: format, onChange: onChange, label: labelText, disablePast: disablePast, disabled: disabled })));
        case types_1.DatePickerTypes.TIME_PICKER:
            return (react_1.default.createElement(x_date_pickers_1.LocalizationProvider, { dateAdapter: AdapterDayjs_1.AdapterDayjs },
                react_1.default.createElement(x_date_pickers_1.TimePicker, { className: (0, classnames_1.default)(classes.root, className), value: value, format: format, onChange: onChange, label: labelText, disabled: disabled })));
        case types_1.DatePickerTypes.DATE_TIME_PICKER:
            return (react_1.default.createElement(x_date_pickers_1.LocalizationProvider, { dateAdapter: AdapterDayjs_1.AdapterDayjs },
                react_1.default.createElement(x_date_pickers_1.DateTimePicker, { className: (0, classnames_1.default)(classes.root, className), value: value, format: format, onChange: onChange, label: labelText, disablePast: disablePast, disabled: disabled })));
        default:
            return null;
    }
};
exports.DatePicker = DatePicker;
//# sourceMappingURL=DatePicker.js.map