"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogAlert = void 0;
const material_1 = require("@mui/material");
const react_1 = __importStar(require("react"));
const DialogAlert = ({ handleSubmit, open = false, close, title, content, closeButtonText = "Cancel", confirmButtonText = "Confirm", className, id, }) => {
    const [isModalOpen, setIsModalOpen] = (0, react_1.useState)(open);
    const submitting = (0, react_1.useRef)(false);
    (0, react_1.useEffect)(() => {
        setIsModalOpen(open);
        if (!open) {
            submitting.current = false;
        }
    }, [open]);
    return (react_1.default.createElement(material_1.Dialog, { open: isModalOpen, onClose: () => {
            setIsModalOpen(false);
            close();
        }, className: className, id: id },
        title && (react_1.default.createElement(material_1.DialogTitle, { color: "initial", id: "alert-dialog-title" }, title)),
        react_1.default.createElement(material_1.DialogContent, null,
            react_1.default.createElement(material_1.DialogContentText, { color: "initial", id: "alert-dialog-description" }, content)),
        react_1.default.createElement(material_1.DialogActions, null,
            react_1.default.createElement(material_1.Button, { onClick: (event) => {
                    event.stopPropagation();
                    setIsModalOpen(false);
                    close();
                } }, closeButtonText),
            handleSubmit && (react_1.default.createElement(material_1.Button, { onClick: (event) => {
                    if (submitting.current) {
                        return;
                    }
                    submitting.current = true;
                    handleSubmit(event);
                }, disabled: submitting.current || !open }, confirmButtonText)))));
};
exports.DialogAlert = DialogAlert;
//# sourceMappingURL=DialogAlert.js.map