"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStyle = void 0;
const styles_1 = require("@mui/styles");
exports.useStyle = (0, styles_1.makeStyles)({
    container: ({ margin, padding, width, height, backgroundColor, textColor, cursor, }) => ({
        display: "flex",
        flexDirection: "column",
        alignItems: "center",
        margin,
        padding,
        width,
        height,
        backgroundColor,
        color: textColor,
        cursor,
        position: "relative",
    }),
    labelContainer: ({ labelBackgroundColor, labelTextColor, }) => ({
        display: "flex",
        justifyContent: "flex-start",
        width: "100%",
        backgroundColor: labelBackgroundColor,
        color: labelTextColor,
    }),
    dropdownContainer: {
        display: "flex",
        flexDirection: "row",
        justifyContent: "space-between",
        alignItems: "center",
        width: "100%",
    },
    selectedValue: ({ textColor, cursor }) => ({
        backgroundColor: "transparent",
        border: "1px solid rgba(0, 0, 0, 0)",
        borderBottom: `1px solid ${textColor}`,
        width: "100%",
        cursor,
    }),
    optionContainer: ({ optionsContainerWidth, optionsContainerHeight, }) => ({
        width: optionsContainerWidth,
        display: "flex",
        flexDirection: "column",
        alignItems: "center",
        position: "absolute",
        top: "50px",
        left: 0,
        transition: "height 0.3s ease-in-out",
        transitionDelay: "0.1s",
        height: 0,
        overflow: "hidden",
        "&.open": {
            height: optionsContainerHeight,
            overflowY: "auto",
        },
    }),
    option: ({ optionMargin, optionPadding, optionWidth, optionHeight, hoverOptionBackgroundColor, hoverOptionTextColor, selectedOptionBackgroundColor, }) => ({
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        margin: optionMargin,
        padding: optionPadding,
        width: optionWidth,
        height: optionHeight,
        "&:hover": {
            backgroundColor: hoverOptionBackgroundColor,
            color: hoverOptionTextColor,
        },
        "&.selected": {
            backgroundColor: selectedOptionBackgroundColor,
        },
    }),
});
//# sourceMappingURL=styles.js.map