"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Icon = void 0;
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const colors_1 = require("../../constants/colors");
const defaultLayouts_1 = require("../../constants/defaultLayouts");
const Icon = ({ src, className, id, margin = defaultLayouts_1.DEFAULT_ICON_MARGIN, padding = defaultLayouts_1.DEFAULT_ICON_PADDING, border = colors_1.NONE, borderRadius = defaultLayouts_1.DEFAULT_BORDER_RADIUS, backgroundColor, width = defaultLayouts_1.DEFAULT_WIDTH, height = defaultLayouts_1.DEFAULT_HEIGHT, opacity = colors_1.DEFAULT_OPACITY, onClick, }) => {
    const classes = (0, styles_1.useStyle)({
        width,
        height,
        margin,
        padding,
        border,
        borderRadius,
        backgroundColor,
        opacity,
    });
    return (react_1.default.createElement("img", { className: (0, classnames_1.default)(className, classes.image), src: src, onClick: onClick, onKeyDown: onClick, role: "presentation", id: id, alt: "icon" }));
};
exports.Icon = Icon;
//# sourceMappingURL=Icon.js.map