"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckboxInput = void 0;
const material_1 = require("@mui/material");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const Icon_1 = require("../../Icon");
const styles_1 = require("../styles");
const CheckboxInput = ({ id, name, className, value, padding, margin, required, autoFocus, disabled, onChange, onFocus, onBlur, icon, iconSize, checked, labelText, textColor, }) => {
    const classes = (0, styles_1.useStyle)({
        padding,
        margin,
        textColor,
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(material_1.FormControlLabel, { control: react_1.default.createElement(material_1.Checkbox, { id: id, name: name, className: (0, classnames_1.default)(classes.textColor, className), value: value, required: required, 
                // eslint-disable-next-line jsx-a11y/no-autofocus
                autoFocus: autoFocus, disabled: disabled, onChange: onChange, onFocus: onFocus, onBlur: onBlur, checked: checked, 
                //icon={/* some icon component for non checked state */}
                checkedIcon: icon &&
                    (typeof icon === "string" ? (react_1.default.createElement(Icon_1.Icon, { src: icon, width: iconSize, height: iconSize })) : (icon)) }), label: labelText })));
};
exports.CheckboxInput = CheckboxInput;
//# sourceMappingURL=CheckboxInput.js.map