"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextInput = void 0;
const material_1 = require("@mui/material");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const styles_1 = require("../styles");
const TextInput = ({ className, name, id, type, value, padding, margin, required, autoFocus, disabled, onChange, onFocus, onBlur, placeholder, error, errorBackgroundColor, errorTextColor, helperTextBackgroundColor, helperTextTextColor, textColor, labelText, helperText, defaultValue, multiline, rows, }) => {
    const classes = (0, styles_1.useStyle)({
        padding,
        margin,
        errorBackgroundColor,
        errorTextColor,
        textColor,
        helperTextBackgroundColor,
        helperTextTextColor,
    });
    return (react_1.default.createElement(material_1.TextField, { id: id, name: name, multiline: multiline, rows: rows, className: (0, classnames_1.default)(classes.root, className), type: type, value: value, required: required, 
        // eslint-disable-next-line jsx-a11y/no-autofocus
        autoFocus: autoFocus, disabled: disabled, onChange: onChange, onFocus: onFocus, onBlur: onBlur, placeholder: placeholder, error: !!error, helperText: error ? error : helperText, label: labelText, defaultValue: defaultValue, FormHelperTextProps: Object.assign(Object.assign({}, (error && { className: (0, classnames_1.default)(classes.error) })), (!error &&
            helperText && { className: (0, classnames_1.default)(classes.helperText) })), InputLabelProps: Object.assign({}, (error && { className: (0, classnames_1.default)(classes.error) })), InputProps: {
            className: (0, classnames_1.default)(classes.textColor),
        } }));
};
exports.TextInput = TextInput;
//# sourceMappingURL=TextInput.js.map