"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStyle = void 0;
const styles_1 = require("@mui/styles");
exports.useStyle = (0, styles_1.makeStyles)({
    root: ({ padding, margin, textColor, icon }) => (Object.assign({ padding,
        margin, width: "100%", color: textColor && `${textColor} !IMPORTANT`, backgroundColor: "transparent !IMPORTANT" }, (icon && { boxShadow: "none" }))),
    textColor: ({ textColor }) => ({
        color: textColor && `${textColor} !IMPORTANT`,
    }),
    error: ({ errorBackgroundColor, errorTextColor }) => ({
        backgroundColor: errorBackgroundColor && `${errorBackgroundColor} !IMPORTANT`,
        color: errorTextColor && `${errorTextColor} !IMPORTANT`,
    }),
    helperText: ({ helperTextBackgroundColor, helperTextTextColor, }) => ({
        backgroundColor: helperTextBackgroundColor && `${helperTextBackgroundColor} !IMPORTANT`,
        color: helperTextTextColor && `${helperTextTextColor} !IMPORTANT`,
    }),
    container: ({ backgroundColor, textColor, padding, margin, width, height, cursor, outline, border, borderRadius, }) => ({
        display: "flex",
        flexDirection: "column",
        justifyContent: "center",
        backgroundColor: backgroundColor,
        color: textColor,
        padding,
        margin,
        width,
        height,
        cursor,
        outline: outline ? outline : "none",
        border: border ? border : "none",
        borderRadius: borderRadius ? borderRadius : "0",
    }),
    fileHelperText: ({ error, errorBackgroundColor, helperText, helperTextBackgroundColor, errorTextColor, helperTextTextColor, }) => ({
        fontSize: "0.7rem",
        backgroundColor: error
            ? errorBackgroundColor || "transparent"
            : helperText
                ? helperTextBackgroundColor || "transparent"
                : "transparent",
        color: error
            ? errorTextColor || "#000"
            : helperText
                ? helperTextTextColor || "#000"
                : "#000",
    }),
});
//# sourceMappingURL=styles.js.map