"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.List = void 0;
const ExpandLess_1 = __importDefault(require("@mui/icons-material/ExpandLess"));
const ExpandMore_1 = __importDefault(require("@mui/icons-material/ExpandMore"));
const material_1 = require("@mui/material");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importStar(require("react"));
const styles_1 = require("./styles");
const List = ({ id, className, width, height, maxWidth, maxHeight, padding, margin, border, borderRadius, outline, items = [], headerText, headerComponent, selected, backgroundColor, textColor, componentType = null, hoverBackgroundColor, hoverTextColor, }) => {
    const [isOpen, setIsOpen] = (0, react_1.useState)([]);
    const handleOpenCollapsable = (level) => {
        setIsOpen((prevIsOpen) => [
            ...prevIsOpen.slice(0, level),
            !prevIsOpen[level],
            ...prevIsOpen.slice(level + 1),
        ]);
    };
    const classes = (0, styles_1.useStyle)({
        width,
        height,
        maxWidth,
        maxHeight,
        padding,
        margin,
        border,
        borderRadius,
        outline,
        backgroundColor,
        textColor,
        hoverBackgroundColor,
        hoverTextColor,
    });
    const listHeaderComponent = headerComponent ? (react_1.default.createElement(material_1.ListSubheader, { component: "div" }, headerComponent)) : headerText ? (react_1.default.createElement(material_1.ListSubheader, { component: "div" }, headerText)) : null;
    const renderList = (nestingLevel = 0, items, isNested) => items ? (react_1.default.createElement(material_1.List, Object.assign({ className: (0, classnames_1.default)(classes.root, isNested ? classes.nested : "", className) }, (nestingLevel === 0 && { id }), (componentType && { component: componentType }), (listHeaderComponent &&
        nestingLevel === 0 && { subheader: listHeaderComponent })), items.map((item, index) => {
        const nestedList = renderList(nestingLevel + 1, item.nestedItems, true);
        if (item.isButtonType) {
            const listItemOnClick = (item.nestedItems || []).length > 0
                ? {
                    onClick: () => handleOpenCollapsable(nestingLevel),
                }
                : item.onClick && {
                    onClick: item.onClick,
                };
            return (react_1.default.createElement(react_1.default.Fragment, { key: `${nestingLevel}_${index}` },
                react_1.default.createElement(material_1.ListItem, Object.assign({ button: true, className: "list-item" }, listItemOnClick, { selected: nestingLevel === 0 && selected === index }, (item.alignItems && { alignItems: item.alignItems })),
                    item.startIcon && item.withAvatar ? (react_1.default.createElement(material_1.ListItemAvatar, null,
                        react_1.default.createElement(material_1.Avatar, null, item.startIcon))) : (react_1.default.createElement(material_1.ListItemIcon, null, item.startIcon)),
                    (item.primaryText || item.secondaryText) && (react_1.default.createElement(material_1.ListItemText, { primary: item.primaryText, secondary: item.secondaryText, inset: item.inset })),
                    item.secondaryAction && (react_1.default.createElement(material_1.ListItemSecondaryAction, null, item.secondaryAction)),
                    (item.nestedItems || []).length > 0 &&
                        item.withCollapsableIcon &&
                        (isOpen[nestingLevel] ? react_1.default.createElement(ExpandLess_1.default, null) : react_1.default.createElement(ExpandMore_1.default, null))),
                item.withDeviderAfter && react_1.default.createElement(material_1.Divider, null),
                nestedList && (react_1.default.createElement(material_1.Collapse, { in: isOpen[nestingLevel], timeout: "auto", unmountOnExit: true }, nestedList))));
        }
        else {
            return (react_1.default.createElement(react_1.default.Fragment, { key: `${nestingLevel}_${index}` },
                react_1.default.createElement(material_1.ListItem, Object.assign({ className: "list-item" }, ((item.nestedItems || []).length > 0 && {
                    onClick: () => handleOpenCollapsable(nestingLevel),
                }), { selected: nestingLevel === 0 && selected === index }),
                    item.startIcon && item.withAvatar ? (react_1.default.createElement(material_1.ListItemAvatar, null,
                        react_1.default.createElement(material_1.Avatar, null, item.startIcon))) : (react_1.default.createElement(material_1.ListItemIcon, null, item.startIcon)),
                    (item.primaryText || item.secondaryText) && (react_1.default.createElement(material_1.ListItemText, { primary: item.primaryText, secondary: item.secondaryText })),
                    item.secondaryAction && (react_1.default.createElement(material_1.ListItemSecondaryAction, null, item.secondaryAction)),
                    (item.nestedItems || []).length > 0 &&
                        item.withCollapsableIcon &&
                        (isOpen[nestingLevel] ? react_1.default.createElement(ExpandLess_1.default, null) : react_1.default.createElement(ExpandMore_1.default, null))),
                nestedList && (react_1.default.createElement(material_1.Collapse, { in: isOpen[nestingLevel], timeout: "auto", unmountOnExit: true }, nestedList))));
        }
    }))) : null;
    return renderList(0, items, false);
};
exports.List = List;
//# sourceMappingURL=List.js.map