"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Modal = void 0;
const material_1 = require("@mui/material");
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
function Modal({ open, onClose, children, header, footer, disableBackdropClick = false, maxWidth, className, id, maxHeight, width, height, border, borderRadius, outline, backgroundColor, textColor, padding, margin, headerBackgroundColor, headerTextColor, }) {
    const classes = (0, styles_1.useModalStyles)({
        hasFooter: !!footer,
        maxWidth,
        maxHeight,
        width,
        height,
        border,
        borderRadius,
        outline,
        backgroundColor,
        textColor,
        padding,
        margin,
        headerBackgroundColor,
        headerTextColor,
    });
    return (react_1.default.createElement(material_1.Dialog, { open: open || false, onClose: (e, reason) => {
            if (!disableBackdropClick || reason !== "backdropClick") {
                onClose();
            }
        }, classes: { paper: classes.container }, className: className, id: id },
        header && (react_1.default.createElement(material_1.AppBar, { position: "static", className: classes.headerContainer },
            react_1.default.createElement(material_1.Toolbar, { className: classes.header }, header))),
        react_1.default.createElement(material_1.DialogContent, { color: "initial", className: classes.content }, children),
        footer && (react_1.default.createElement(material_1.DialogActions, { className: classes.actions }, footer))));
}
exports.Modal = Modal;
//# sourceMappingURL=Modal.js.map