import { DateTimePicker as MuiDateTimePicker, DatePicker as MuiDatePicker, TimePicker as MuiTimePicker, LocalizationProvider, } from "@mui/x-date-pickers";
import { AdapterDayjs } from "@mui/x-date-pickers/AdapterDayjs";
import classNames from "classnames";
import React from "react";
import { useStyle } from "./styles";
import { DatePickerTypes } from "./types";
import { AUTO } from "../../constants/colors";
export const DatePicker = ({ className, value = null, type = DatePickerTypes.DATE_PICKER, width, height, maxWidth = AUTO, maxHeight = AUTO, padding, margin, backgroundColor, format, labelText, disabled = false, disablePast = false, onChange, }) => {
    const classes = useStyle({
        width,
        height,
        maxHeight,
        maxWidth,
        padding,
        margin,
        backgroundColor,
    });
    switch (type) {
        case DatePickerTypes.DATE_PICKER:
            return (React.createElement(LocalizationProvider, { dateAdapter: AdapterDayjs },
                React.createElement(MuiDatePicker, { className: classNames(classes.root, className), value: value, format: format, onChange: onChange, label: labelText, disablePast: disablePast, disabled: disabled })));
        case DatePickerTypes.TIME_PICKER:
            return (React.createElement(LocalizationProvider, { dateAdapter: AdapterDayjs },
                React.createElement(MuiTimePicker, { className: classNames(classes.root, className), value: value, format: format, onChange: onChange, label: labelText, disabled: disabled })));
        case DatePickerTypes.DATE_TIME_PICKER:
            return (React.createElement(LocalizationProvider, { dateAdapter: AdapterDayjs },
                React.createElement(MuiDateTimePicker, { className: classNames(classes.root, className), value: value, format: format, onChange: onChange, label: labelText, disablePast: disablePast, disabled: disabled })));
        default:
            return null;
    }
};
//# sourceMappingURL=DatePicker.js.map