import { Dialog, DialogActions, DialogContent, DialogTitle, DialogContentText, Button, } from "@mui/material";
import React, { useState, useEffect, useRef } from "react";
export const DialogAlert = ({ handleSubmit, open = false, close, title, content, closeButtonText = "Cancel", confirmButtonText = "Confirm", className, id, }) => {
    const [isModalOpen, setIsModalOpen] = useState(open);
    const submitting = useRef(false);
    useEffect(() => {
        setIsModalOpen(open);
        if (!open) {
            submitting.current = false;
        }
    }, [open]);
    return (React.createElement(Dialog, { open: isModalOpen, onClose: () => {
            setIsModalOpen(false);
            close();
        }, className: className, id: id },
        title && (React.createElement(DialogTitle, { color: "initial", id: "alert-dialog-title" }, title)),
        React.createElement(DialogContent, null,
            React.createElement(DialogContentText, { color: "initial", id: "alert-dialog-description" }, content)),
        React.createElement(DialogActions, null,
            React.createElement(Button, { onClick: (event) => {
                    event.stopPropagation();
                    setIsModalOpen(false);
                    close();
                } }, closeButtonText),
            handleSubmit && (React.createElement(Button, { onClick: (event) => {
                    if (submitting.current) {
                        return;
                    }
                    submitting.current = true;
                    handleSubmit(event);
                }, disabled: submitting.current || !open }, confirmButtonText)))));
};
//# sourceMappingURL=DialogAlert.js.map