import classNames from "classnames";
import React from "react";
import { useStyle } from "./styles";
import { DEFAULT_OPACITY, NONE } from "../../constants/colors";
import { DEFAULT_BORDER_RADIUS, DEFAULT_HEIGHT, DEFAULT_ICON_MARGIN, DEFAULT_ICON_PADDING, DEFAULT_WIDTH, } from "../../constants/defaultLayouts";
export const Icon = ({ src, className, id, margin = DEFAULT_ICON_MARGIN, padding = DEFAULT_ICON_PADDING, border = NONE, borderRadius = DEFAULT_BORDER_RADIUS, backgroundColor, width = DEFAULT_WIDTH, height = DEFAULT_HEIGHT, opacity = DEFAULT_OPACITY, onClick, }) => {
    const classes = useStyle({
        width,
        height,
        margin,
        padding,
        border,
        borderRadius,
        backgroundColor,
        opacity,
    });
    return (React.createElement("img", { className: classNames(className, classes.image), src: src, onClick: onClick, onKeyDown: onClick, role: "presentation", id: id, alt: "icon" }));
};
//# sourceMappingURL=Icon.js.map