import Button from "@mui/material/Button";
import classNames from "classnames";
import React from "react";
import { useStyle } from "../styles";
export const FileInput = ({ className, name, id, padding, margin, required, disabled, onChange, onFocus, onBlur, error, errorBackgroundColor, errorTextColor, helperTextBackgroundColor, helperTextTextColor, textColor, labelText, helperText, icon, }) => {
    const classes = useStyle({
        padding,
        margin,
        errorBackgroundColor,
        errorTextColor,
        helperTextBackgroundColor,
        helperTextTextColor,
        textColor,
        icon,
        error: !!error,
        helperText: !!helperText,
    });
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { className: classNames(classes.root, className), id: id, variant: "contained", component: "label", disabled: disabled, onFocus: onFocus, onBlur: onBlur },
            icon ? icon : labelText,
            React.createElement("input", { type: "file", name: name, hidden: true, required: required, disabled: disabled, onChange: onChange })),
        (error || helperText) && (React.createElement("span", { className: classes.fileHelperText }, error ? error : helperText))));
};
//# sourceMappingURL=FileInput.js.map