/// <reference types="react" />
import { AlignItemsTypes } from "../../types/alignTypes";
export declare enum ListItemComponentType {
    BUTTON = "button",
    NAV = "nav",
    DIV = "div",
    TEXT = "text"
}
export interface ListItemType {
    isButtonType?: boolean;
    withAvatar?: boolean;
    nestedItems?: ListItemType[];
    primaryText?: string | JSX.Element;
    secondaryText?: string | JSX.Element;
    startIcon?: JSX.Element;
    secondaryAction?: JSX.Element;
    withCollapsableIcon?: boolean;
    alignItems?: AlignItemsTypes;
    inset?: boolean;
    withDeviderAfter?: boolean;
    onClick?: () => void;
}
export interface ListProps {
    id?: string;
    className?: string;
    width?: string;
    height?: string;
    maxWidth?: string;
    maxHeight?: string;
    padding?: string;
    margin?: string;
    border?: string;
    borderRadius?: string;
    outline?: string;
    items?: ListItemType[];
    headerText?: string;
    headerComponent?: JSX.Element;
    selected?: number;
    componentType?: ListItemComponentType;
    backgroundColor?: string;
    textColor?: string;
    hoverBackgroundColor?: string;
    hoverTextColor?: string;
}
export interface ListContainerStyleProps {
    width?: string;
    height?: string;
    maxWidth?: string;
    maxHeight?: string;
    padding?: string;
    margin?: string;
    border?: string;
    borderRadius?: string;
    outline?: string;
    backgroundColor?: string;
    textColor?: string;
    hoverBackgroundColor?: string;
    hoverTextColor?: string;
}
